#include <iostream>
#include <string>
#include <algorithm>

using namespace std;

int main() {
    long long k;
    cin >> k;

    string k_str = to_string(k);

    // Создаем словарь для отображения цифр
    string mirror_dict = "0123456789";
    reverse(mirror_dict.begin(), mirror_dict.end());

    string mirror_floor_str = "";

    for (char digit : k_str) {
        mirror_floor_str += mirror_dict[digit - '0'];
    }

    // Удалите ведущие нули, если они есть
    mirror_floor_str.erase(0, mirror_floor_str.find_first_not_of('0'));

    cout << mirror_floor_str << endl;

    return 0;
}
